Bug 656464 - Job Storage = Private broken - no where to enter key
Summary: Job Storage = Private broken - no where to enter key
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gtk2
Version: 14
Hardware: x86_64
OS: Linux
low
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-23 19:40 UTC by gene c
Modified: 2012-08-16 19:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 19:18:50 UTC
Type: ---


Attachments (Terms of Use)
Printer Dialog showing Job Storage section (51.08 KB, image/png)
2010-11-24 14:47 UTC, gene c
no flags Details
ppd file for hp m4345 mfp (294.02 KB, text/plain)
2010-11-24 16:45 UTC, gene c
no flags Details

Description gene c 2010-11-23 19:40:39 UTC
Description of problem: For enterprise printers which support 

   Advanced -> Job Storage -> Private

   There is no where to put the pass key to make the job private.
   This used to work and stopped - not sure when


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Print to enterprise ptrinter with private job support
2. Click Advanced : Choose Job Storage Private
3. No place in the gui window to enter the pass key.
  
Actual results:


Expected results:


Additional info:

Comment 1 Tim Waugh 2010-11-24 09:13:30 UTC
What GUI window do you mean?  System->Administration->Printing, or something else?  What model of printer is it?  It sounds like it might be a PPD option...

Comment 2 gene c 2010-11-24 14:47:03 UTC
Created attachment 462646 [details]
Printer Dialog showing Job Storage section

Comment 3 gene c 2010-11-24 14:49:37 UTC
The GUI window is probably the gnome print dialog (tho I am not sure). It is the same window for all apps best I can tell.
 

 Here's one way to see it:

 gedit a file - and do file->print.

  The first dialog comes up and when I click to choose a printer it briefly says (getting printer information).

  If the printer doesn't support private jobs, then the Advanced window does not have the "Job Storage" section visible.

   I'll attach a screen snap of the window showing the job storage section but nowhere to put in the PIN (used to have a text box)

  Printers which offer this feature include: 

    HP LaserJet M4345 MFP
    HP Color LaserJet 4700

Hope this helps

Comment 4 Tim Waugh 2010-11-24 16:32:17 UTC
OK, that dialog comes from GTK+ (it's the "print dialog").

Changing component and reassigning.  It would help if you could attach the PPD for this queue (/etc/cups/ppd/{queuename}.ppd) to this bug report.

Comment 5 gene c 2010-11-24 16:45:06 UTC
Created attachment 462690 [details]
ppd file for hp m4345 mfp

ppd file attached.

thanks!

Comment 7 gene c 2011-02-17 21:11:11 UTC
Problem persists with Fedora 14

Comment 8 Fedora End Of Life 2012-08-16 19:18:53 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.